# UtilitiesController_GetCompanyId

Returns the company ID for the requested company name, if the user has access to that company.

`GET /api/v1/Utilities/GetCompanyId`

**API:** Excise Platform API
**Tag:** UtilitiesController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/UtilitiesController/UtilitiesController_GetCompanyId/

## Description

Looks up the company ID for a given company name. The requesting user must have access to the specified company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `companyName` | string | query | Yes | The name of the company for which to retrieve the company ID. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the company ID associated with the specified company name. |  |
| 404 | The company was not found or the user does not have access. |  |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/Utilities/GetCompanyId" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```